#ifndef JOINCHANNELRESPONSE_HPP
#define JOINCHANNELRESPONSE_HPP

#include "../Response.hpp"
#include <string>

namespace mole {
    namespace serv {
	class JoinChannelResponse : public Response {

	    public :
		JoinChannelResponse();
		~JoinChannelResponse();

		std::string getResult() { return res; };

		void setResult(std::string in) { res = in; };

	    private :
		std::string res;
	};

    } // end serv

} // end mole

#endif
